Package commoble.morered.plate_blocks

# Class RedstonePlateBlock

java.lang.Object
net.minecraft.world.level.block.state.BlockBehaviour
net.minecraft.world.level.block.Block
commoble.morered.plate_blocks.PlateBlock
commoble.morered.plate_blocks.RedstonePlateBlock

All Implemented Interfaces:
  `net.minecraft.world.flag.FeatureElement`, `net.minecraft.world.level.ItemLike`, `net.minecraftforge.common.extensions.IForgeBlock`

Direct Known Subclasses:
  `LatchBlock`, `LogicFunctionPlateBlock`, `PulseGateBlock`

public abstract class RedstonePlateBlock extends PlateBlock

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.Block

`net.minecraft.world.level.block.Block.BlockStatePairKey`

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`net.minecraft.world.level.block.state.BlockBehaviour.BlockStateBase, net.minecraft.world.level.block.state.BlockBehaviour.OffsetFunction, net.minecraft.world.level.block.state.BlockBehaviour.OffsetType, net.minecraft.world.level.block.state.BlockBehaviour.Properties, net.minecraft.world.level.block.state.BlockBehaviour.StateArgumentPredicate<A extends Object>, net.minecraft.world.level.block.state.BlockBehaviour.StatePredicate`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`OUTPUT_STRENGTH`
`static final int`
`TICK_DELAY`

### Fields inherited from class commoble.morered.plate_blocks.PlateBlock

`ATTACHMENT_DIRECTION, ROTATION, SHAPES_BY_DIRECTION`

### Fields inherited from class net.minecraft.world.level.block.Block

`BLOCK_STATE_REGISTRY, INDESTRUCTIBLE, INSTANT, stateDefinition, UPDATE_ALL, UPDATE_ALL_IMMEDIATE, UPDATE_CLIENTS, UPDATE_IMMEDIATE, UPDATE_INVISIBLE, UPDATE_KNOWN_SHAPE, UPDATE_LIMIT, UPDATE_MOVE_BY_PISTON, UPDATE_NEIGHBORS, UPDATE_NONE, UPDATE_SUPPRESS_DROPS`

### Fields inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`drops, dynamicShape, explosionResistance, friction, hasCollision, isRandomlyTicking, jumpFactor, properties, requiredFeatures, soundType, speedFactor, UPDATE_SHAPE_ORDER`

### Fields inherited from interface net.minecraft.world.flag.FeatureElement

`FILTERED_REGISTRIES`

## Constructor Summary

Constructors
Constructor
Description
`RedstonePlateBlock(net.minecraft.world.level.block.state.BlockBehaviour.Properties properties)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canConnectRedstone(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockGetter world, net.minecraft.core.BlockPos pos, net.minecraft.core.Direction side)`
`int`
`getDirectSignal(net.minecraft.world.level.block.state.BlockState blockState, net.minecraft.world.level.BlockGetter blockAccess, net.minecraft.core.BlockPos pos, net.minecraft.core.Direction side)`
Deprecated.
`abstract InputSide[]`
`getInputSides()`
Returns InputSide array, where A = 90 degrees clockwise from the primary output side, B = 180, C = 270..
`abstract EnumSet<net.minecraft.core.Direction>`
`getOutputSides(net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`
Returns Set of Directions that redstone power is output to, according to the blockstate. Used for notifying neighbors..
`net.minecraft.world.level.block.state.BlockState`
`getStateForPlacement(net.minecraft.world.item.context.BlockPlaceContext context)`
`boolean`
`hasInputPower(net.minecraft.world.level.Level world, net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.BlockPos pos)`
Return true if any of the three input directions are receiving power
`boolean`
`isSignalSource(net.minecraft.world.level.block.state.BlockState state)`
Deprecated.
`void`
`neighborChanged(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level worldIn, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.Block blockIn, net.minecraft.core.BlockPos fromPos, boolean isMoving)`
Deprecated.
`void`
`notifyNeighbors(net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`
`void`
`onPlace(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level worldIn, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState oldState, boolean isMoving)`
Deprecated.
`void`
`onRemove(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level worldIn, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState newState, boolean isMoving)`
Deprecated.
`void`
`setPlacedBy(net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.entity.LivingEntity placer, net.minecraft.world.item.ItemStack stack)`
Called by ItemBlocks after a block is set in the world, to allow post-place logic
`net.minecraft.world.InteractionResult`
`use(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.entity.player.Player player, net.minecraft.world.InteractionHand hand, net.minecraft.world.phys.BlockHitResult hit)`
Deprecated.

### Methods inherited from class commoble.morered.plate_blocks.PlateBlock

`createBlockStateDefinition, getShape, mirror, rotate`

### Methods inherited from class net.minecraft.world.level.block.Block

`animateTick, appendHoverText, asBlock, asItem, box, builtInRegistryHolder, byItem, canSupportCenter, canSupportRigidBlock, canSustainPlant, defaultBlockState, destroy, dropFromExplosion, dropResources, dropResources, dropResources, dropResources, fallOn, getCloneItemStack, getDescriptionId, getDrops, getDrops, getExplosionResistance, getFriction, getId, getJumpFactor, getName, getRenderPropertiesInternal, getShapeForEachState, getSoundType, getSpeedFactor, getStateDefinition, handlePrecipitation, hasDynamicShape, initializeClient, isExceptionForConnection, isFaceFull, isPossibleToRespawnInThis, isRandomlyTicking, isShapeFullBlock, playerDestroy, playerWillDestroy, popExperience, popResource, popResourceFromFace, propagatesSkylightDown, pushEntitiesUp, registerDefaultState, shouldRenderFace, spawnDestroyParticles, stateById, stepOn, toString, tryDropExperience, updateEntityAfterFallOn, updateFromNeighbourShapes, updateOrDestroy, updateOrDestroy, wasExploded, withPropertiesOf`

### Methods inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`attack, canBeReplaced, canBeReplaced, canSurvive, defaultDestroyTime, defaultMapColor, entityInside, getAnalogOutputSignal, getBlockSupportShape, getCollisionShape, getDestroyProgress, getDrops, getFluidState, getInteractionShape, getLightBlock, getLootTable, getMaxHorizontalOffset, getMaxVerticalOffset, getMenuProvider, getOcclusionShape, getRenderShape, getSeed, getShadeBrightness, getSignal, getVisualShape, hasAnalogOutputSignal, isAir, isCollisionShapeFullBlock, isOcclusionShapeFullBlock, isPathfindable, onProjectileHit, randomTick, requiredFeatures, skipRendering, spawnAfterBreak, tick, triggerEvent, updateIndirectNeighbourShapes, updateShape, useShapeForLightOcclusion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.minecraft.world.flag.FeatureElement

`isEnabled`

### Methods inherited from interface net.minecraftforge.common.extensions.IForgeBlock

`addLandingEffects, addRunningEffects, canBeHydrated, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canStickTo, collisionExtendsVertically, getAdjacentBlockPathType, getAppearance, getBeaconColorMultiplier, getBedDirection, getBlockPathType, getCloneItemStack, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getFireSpreadSpeed, getFlammability, getFriction, getLightEmission, getMapColor, getPistonPushReaction, getRespawnPosition, getSoundType, getStateAtViewpoint, getToolModifiedState, getWeakChanges, hidesNeighborFace, isBed, isBurning, isConduitFrame, isFertile, isFireSource, isFlammable, isLadder, isPortalFrame, isScaffolding, isSlimeBlock, isStickyBlock, isValidSpawn, makesOpenTrapdoorAboveClimbable, onBlockExploded, onBlockStateChange, onCaughtFire, onDestroyedByPlayer, onNeighborChange, onTreeGrow, rotate, setBedOccupied, shouldCheckWeakPower, shouldDisplayFluidOverlay, supportsExternalFaceHiding`

## Field Details

### OUTPUT_STRENGTH

public static final int OUTPUT_STRENGTH

See Also:
  - Constant Field Values

### TICK_DELAY

public static final int TICK_DELAY

See Also:
  - Constant Field Values

## Constructor Details

### RedstonePlateBlock

public RedstonePlateBlock(net.minecraft.world.level.block.state.BlockBehaviour.Properties properties)

## Method Details

### getInputSides

public abstract InputSide[] getInputSides()
Returns InputSide array, where A = 90 degrees clockwise from the primary output side, B = 180, C = 270..

Returns:
  InputSide array, where A = 90 degrees clockwise from the primary output side, B = 180, C = 270.

### getOutputSides

public abstract EnumSet<net.minecraft.core.Direction> getOutputSides(net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)
Returns Set of Directions that redstone power is output to, according to the blockstate. Used for notifying neighbors..

Returns:
  Set of Directions that redstone power is output to, according to the blockstate. Used for notifying neighbors.

### setPlacedBy

public void setPlacedBy(net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.entity.LivingEntity placer, net.minecraft.world.item.ItemStack stack)
Called by ItemBlocks after a block is set in the world, to allow post-place logic

Overrides:
  `setPlacedBy` in class `net.minecraft.world.level.block.Block`

### getStateForPlacement

@Nullable public net.minecraft.world.level.block.state.BlockState getStateForPlacement(net.minecraft.world.item.context.BlockPlaceContext context)

Overrides:
  `getStateForPlacement` in class `PlateBlock`

### use

@Deprecated public net.minecraft.world.InteractionResult use(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.entity.player.Player player, net.minecraft.world.InteractionHand hand, net.minecraft.world.phys.BlockHitResult hit)
Deprecated.

Overrides:
  `use` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### isSignalSource

@Deprecated public boolean isSignalSource(net.minecraft.world.level.block.state.BlockState state)
Deprecated.

Overrides:
  `isSignalSource` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### canConnectRedstone

public boolean canConnectRedstone(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockGetter world, net.minecraft.core.BlockPos pos, net.minecraft.core.Direction side)

### getDirectSignal

@Deprecated public int getDirectSignal(net.minecraft.world.level.block.state.BlockState blockState, net.minecraft.world.level.BlockGetter blockAccess, net.minecraft.core.BlockPos pos, net.minecraft.core.Direction side)
Deprecated.

Overrides:
  `getDirectSignal` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### onPlace

@Deprecated public void onPlace(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level worldIn, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState oldState, boolean isMoving)
Deprecated.

Overrides:
  `onPlace` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### onRemove

@Deprecated public void onRemove(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level worldIn, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState newState, boolean isMoving)
Deprecated.

Overrides:
  `onRemove` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### neighborChanged

@Deprecated public void neighborChanged(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level worldIn, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.Block blockIn, net.minecraft.core.BlockPos fromPos, boolean isMoving)
Deprecated.

Overrides:
  `neighborChanged` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### hasInputPower

public boolean hasInputPower(net.minecraft.world.level.Level world, net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.BlockPos pos)
Return true if any of the three input directions are receiving power

Parameters:
  `world` - The world the state is in
  `state` - A blockstate of this block
  `pos` - The position of the state in the world
Returns:
  Whether any of the block's input directions are receiving power

### notifyNeighbors

public void notifyNeighbors(net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)